#!/bin/sh

export SBOX_DIR=/scratchbox
export SBOX_LOGIN=$SBOX_DIR/login

logs=`mktemp -d`

for test in test-*.sh
do
	name=`head -n1 $test | grep '^#' | cut -c3-`
	if [ x"$name" = x ]
	then
		name=`echo $test | cut -d- -f2- | cut -d. -f1 | tr - ' ' | tr _ ' '`
	fi

	echo -n "Running \"$name\" ... " >&2

	/bin/sh $test > $logs/out 2> $logs/err
	retval=$?

	if [ $retval -eq 0 ]
	then
		echo "OK" >&2
	else
		echo "FAIL" >&2
	fi

	if [ `stat -c %s $logs/out` -ne 0 ]
	then
		echo -n 'Output:'
		sed 's/^/\t/' $logs/out
	fi

	if [ `stat -c %s $logs/err` -ne 0 ]
	then
		echo -n 'Errors:'
		sed 's/^/\t/' $logs/err
	fi
done

rm -r $logs
